GNU logs - #19341, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 10 Dec 2014 21:09:01 +0000
Resent-Message-ID: <handler.19341.B.141824568132124 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 19341 <at> debbugs.gnu.org
X-Debbugs-Original-To: submit <at> debbugs.gnu.org
Received: via spool by submit <at> debbugs.gnu.org id=B.141824568132124
          (code B ref -1); Wed, 10 Dec 2014 21:09:01 +0000
Received: (at submit) by debbugs.gnu.org; 10 Dec 2014 21:08:01 +0000
Received: from localhost ([127.0.0.1]:42044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XyoUL-0008M1-AH
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 16:08:01 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:54499 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XyoUI-0008Lp-Vw
 for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 16:07:59 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XyoUI-0000Sq-7z; Wed, 10 Dec 2014 16:07:58 -0500
From: Glenn Morris <rgm@HIDDEN>
X-Spook: Ceridian MP5K-SD InfoSec corporate security smuggle
X-Ran: d.W{W>4g($dZst`],6_!g:!{.D@ak8Eqa4;XR}t[xu|O.6\%1_LO,RH%-\Rrr41mQmf|kr
X-Hue: white
X-Attribution: GM
Date: Wed, 10 Dec 2014 16:07:58 -0500
Message-ID: <7bsignqklt.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Package: emacs
Version: 24.4
Severity: minor

I can't find the reference for why I think this, so maybe I'm just
wrong, but I always thought that multi-line file lists should be written
in ChangeLogs as:

   * file1, file2, file3, file4, file5, file6, file7, file8, file9:
   * file10, file11:

But Change Log mode fills such lines as:

    * file1, file2, file3, file4, file5, file6, file7, file8, file9,
    file10, file11:

Please could it use the former format.

TIA.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Dec 2014 03:38:02 +0000
Resent-Message-ID: <handler.19341.B19341.141826903710157 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.141826903710157
          (code B ref 19341); Thu, 11 Dec 2014 03:38:02 +0000
Received: (at 19341) by debbugs.gnu.org; 11 Dec 2014 03:37:17 +0000
Received: from localhost ([127.0.0.1]:42191 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XyuZ2-0002dj-Vx
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 22:37:17 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:40163)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1XyuYz-0002dC-6s
 for 19341 <at> debbugs.gnu.org; Wed, 10 Dec 2014 22:37:14 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NGE00600F1SUF00@HIDDEN> for 19341 <at> debbugs.gnu.org;
 Thu, 11 Dec 2014 05:37:06 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NGE006T6FDTPD70@HIDDEN>;
 Thu, 11 Dec 2014 05:37:06 +0200 (IST)
Date: Thu, 11 Dec 2014 05:37:04 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <7bsignqklt.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83sigmuaan.fsf@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Date: Wed, 10 Dec 2014 16:07:58 -0500
> 
> I can't find the reference for why I think this, so maybe I'm just
> wrong, but I always thought that multi-line file lists should be written
> in ChangeLogs as:
> 
>    * file1, file2, file3, file4, file5, file6, file7, file8, file9:
>    * file10, file11:
> 
> But Change Log mode fills such lines as:
> 
>     * file1, file2, file3, file4, file5, file6, file7, file8, file9,
>     file10, file11:
> 
> Please could it use the former format.

It does neither.  It does this instead:

	* file1:

	* file2:

	* file3:





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Dec 2014 03:42:02 +0000
Resent-Message-ID: <handler.19341.B19341.141826931110621 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.141826931110621
          (code B ref 19341); Thu, 11 Dec 2014 03:42:02 +0000
Received: (at 19341) by debbugs.gnu.org; 11 Dec 2014 03:41:51 +0000
Received: from localhost ([127.0.0.1]:42195 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XyudS-0002lE-Qp
	for submit <at> debbugs.gnu.org; Wed, 10 Dec 2014 22:41:50 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:54736 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1XyudQ-0002l7-Rb
 for 19341 <at> debbugs.gnu.org; Wed, 10 Dec 2014 22:41:49 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1XyudO-0003RK-Fs; Wed, 10 Dec 2014 22:41:47 -0500
From: Glenn Morris <rgm@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN> <83sigmuaan.fsf@HIDDEN>
X-Spook: Manfurov data haven Mole NATO BATF Montenegro EuroFed
X-Ran: ZrbnN?<{pg<#nZ8{:GHPvW[y1C&tQ&s\p-:1LD<S"y<z?W%B8/+b)^Fp*OZ4M-~G{hu^TD
X-Hue: cyan
X-Attribution: GM
Date: Wed, 10 Dec 2014 22:41:43 -0500
In-Reply-To: <83sigmuaan.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 11 Dec
 2014 05:37:04 +0200")
Message-ID: <p0zjauam4o.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii wrote:
>> But Change Log mode fills such lines as:
>> 
>>     * file1, file2, file3, file4, file5, file6, file7, file8, file9,
>>     file10, file11:
>> 
>> Please could it use the former format.
>
> It does neither.  It does this instead:
>
> 	* file1:
>
> 	* file2:
>
> 	* file3:

Really?

You type:

     * file1, file2, file3, ...

and auto-fill gives you the format you quote? That seems very odd to me,
and not what I see. But that's not really relevant AFAICS, since it's
not the format I asked for.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Dec 2014 16:06:01 +0000
Resent-Message-ID: <handler.19341.B19341.141831393427835 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.141831393427835
          (code B ref 19341); Thu, 11 Dec 2014 16:06:01 +0000
Received: (at 19341) by debbugs.gnu.org; 11 Dec 2014 16:05:34 +0000
Received: from localhost ([127.0.0.1]:42918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xz6FC-0007Et-26
	for submit <at> debbugs.gnu.org; Thu, 11 Dec 2014 11:05:34 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:49950)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Xz6F8-0007EX-OY
 for 19341 <at> debbugs.gnu.org; Thu, 11 Dec 2014 11:05:31 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NGF00300DTON800@HIDDEN> for 19341 <at> debbugs.gnu.org;
 Thu, 11 Dec 2014 18:05:24 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NGF003M9E0XML10@HIDDEN>;
 Thu, 11 Dec 2014 18:05:22 +0200 (IST)
Date: Thu, 11 Dec 2014 18:05:21 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <p0zjauam4o.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83k31ytbni.fsf@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN> <83sigmuaan.fsf@HIDDEN>
 <p0zjauam4o.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: 19341 <at> debbugs.gnu.org
> Date: Wed, 10 Dec 2014 22:41:43 -0500
> 
> Eli Zaretskii wrote:
> >> But Change Log mode fills such lines as:
> >> 
> >>     * file1, file2, file3, file4, file5, file6, file7, file8, file9,
> >>     file10, file11:
> >> 
> >> Please could it use the former format.
> >
> > It does neither.  It does this instead:
> >
> > 	* file1:
> >
> > 	* file2:
> >
> > 	* file3:
> 
> Really?
> 
> You type:
> 
>      * file1, file2, file3, ...
> 
> and auto-fill gives you the format you quote?

Well, if you just type manually a bunch of file names, how is Emacs to
know they are file names?  You can format it any way you like, it's
just text as far as Emacs is concerned.

The format I show above is produced by "C-x 4 a" and friends, when you
type that command in several buffers one after the other.

> But that's not really relevant AFAICS, since it's not the format I
> asked for.

How do you expect Emacs to distinguish between a list of files and
arbitrary text, in your scenario?  You only want it to do that
for files, right?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Dec 2014 16:57:02 +0000
Resent-Message-ID: <handler.19341.B19341.141831698132711 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.141831698132711
          (code B ref 19341); Thu, 11 Dec 2014 16:57:02 +0000
Received: (at 19341) by debbugs.gnu.org; 11 Dec 2014 16:56:21 +0000
Received: from localhost ([127.0.0.1]:42958 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xz72L-0008VX-Fi
	for submit <at> debbugs.gnu.org; Thu, 11 Dec 2014 11:56:21 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:47142 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Xz72I-0008VO-QB
 for 19341 <at> debbugs.gnu.org; Thu, 11 Dec 2014 11:56:19 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Xz729-0003Ay-F8; Thu, 11 Dec 2014 11:56:10 -0500
From: Glenn Morris <rgm@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN> <83sigmuaan.fsf@HIDDEN>
 <p0zjauam4o.fsf@HIDDEN> <83k31ytbni.fsf@HIDDEN>
X-Spook: Israel Iran Kosovo MDA global bullion STARLAN government
X-Ran: R,kRAFKJR`cwo8OF;G'+|\}:@_;oBE*r>L3k(XPVmsm5k#F;0)=S=J~]8v67fw0qxao[By
X-Hue: cyan
X-Attribution: GM
Date: Thu, 11 Dec 2014 11:56:08 -0500
In-Reply-To: <83k31ytbni.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 11 Dec
 2014 18:05:21 +0200")
Message-ID: <rm61di9lcn.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Eli Zaretskii wrote:

> How do you expect Emacs to distinguish between a list of files and
> arbitrary text, in your scenario?  You only want it to do that
> for files, right?

Files are what come after "TAB * ". Font-lock manages to figure it out.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Eli Zaretskii <eliz@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Dec 2014 18:11:02 +0000
Resent-Message-ID: <handler.19341.B19341.14183214437774 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.14183214437774
          (code B ref 19341); Thu, 11 Dec 2014 18:11:02 +0000
Received: (at 19341) by debbugs.gnu.org; 11 Dec 2014 18:10:43 +0000
Received: from localhost ([127.0.0.1]:43042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xz8CI-00021H-MO
	for submit <at> debbugs.gnu.org; Thu, 11 Dec 2014 13:10:42 -0500
Received: from mtaout21.012.net.il ([80.179.55.169]:58096)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1Xz8CF-000210-JZ
 for 19341 <at> debbugs.gnu.org; Thu, 11 Dec 2014 13:10:40 -0500
Received: from conversion-daemon.a-mtaout21.012.net.il by
 a-mtaout21.012.net.il (HyperSendmail v2007.08) id
 <0NGF00B00JIKI200@HIDDEN> for 19341 <at> debbugs.gnu.org;
 Thu, 11 Dec 2014 20:10:33 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NGF00B87JTKDV30@HIDDEN>;
 Thu, 11 Dec 2014 20:10:33 +0200 (IST)
Date: Thu, 11 Dec 2014 20:10:32 +0200
From: Eli Zaretskii <eliz@HIDDEN>
In-reply-to: <rm61di9lcn.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
Message-id: <83y4qerraf.fsf@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN> <83sigmuaan.fsf@HIDDEN>
 <p0zjauam4o.fsf@HIDDEN> <83k31ytbni.fsf@HIDDEN>
 <rm61di9lcn.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Glenn Morris <rgm@HIDDEN>
> Cc: 19341 <at> debbugs.gnu.org
> Date: Thu, 11 Dec 2014 11:56:08 -0500
> 
> Eli Zaretskii wrote:
> 
> > How do you expect Emacs to distinguish between a list of files and
> > arbitrary text, in your scenario?  You only want it to do that
> > for files, right?
> 
> Files are what come after "TAB * ". Font-lock manages to figure it out.

Your example was this:

   * file1, file2, file3, file4, file5, file6, file7, file8, file9:
   * file10, file11:

In this example, file1 and file10 follow "TAB * ", but all the rest do
not.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Dec 2014 18:41:01 +0000
Resent-Message-ID: <handler.19341.B19341.141832324410765 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Eli Zaretskii <eliz@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.141832324410765
          (code B ref 19341); Thu, 11 Dec 2014 18:41:01 +0000
Received: (at 19341) by debbugs.gnu.org; 11 Dec 2014 18:40:44 +0000
Received: from localhost ([127.0.0.1]:43066 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xz8fM-0002nX-90
	for submit <at> debbugs.gnu.org; Thu, 11 Dec 2014 13:40:44 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:50295 ident=Debian-exim)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rgm@HIDDEN>) id 1Xz8fJ-0002nP-Q5
 for 19341 <at> debbugs.gnu.org; Thu, 11 Dec 2014 13:40:42 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
 (envelope-from <rgm@HIDDEN>)
 id 1Xz8fI-0004vY-71; Thu, 11 Dec 2014 13:40:40 -0500
From: Glenn Morris <rgm@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN> <83sigmuaan.fsf@HIDDEN>
 <p0zjauam4o.fsf@HIDDEN> <83k31ytbni.fsf@HIDDEN>
 <rm61di9lcn.fsf@HIDDEN> <83y4qerraf.fsf@HIDDEN>
X-Spook: airframe ASLET Kosovo fundamentalist nuclear credit card
X-Ran: j&|v|`luBA#;0vKo1!u>z/E,!lLr&|2gdQ_NlCay{dp%BGpuv072<7$`yI|`Ps8v3feMM!
X-Hue: blue
X-Attribution: GM
Date: Thu, 11 Dec 2014 13:40:40 -0500
In-Reply-To: <83y4qerraf.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 11 Dec
 2014 20:10:32 +0200")
Message-ID: <t1iohivxlj.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.3 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.3 (----)


OK, well, pretend I explained what the likely characters in a file name
are (the ones which ChangeLog mode already knows about, since it
font-locks them).

In summary, I think it's possible and you don't. In the unlikely event
someone ever works on this, they can make up their own mind.





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 25 Jan 2022 13:56:01 +0000
Resent-Message-ID: <handler.19341.B19341.164311895823057 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.164311895823057
          (code B ref 19341); Tue, 25 Jan 2022 13:56:01 +0000
Received: (at 19341) by debbugs.gnu.org; 25 Jan 2022 13:55:58 +0000
Received: from localhost ([127.0.0.1]:47485 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCMIg-0005zp-A4
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 08:55:58 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35354)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nCMIe-0005za-3B
 for 19341 <at> debbugs.gnu.org; Tue, 25 Jan 2022 08:55:56 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0t431QabBfppnblcsNms6mNsFvEHvQwqsN1qQWc0wuA=; b=Zq6wCUxxdiSRqXm+vtFtsXtosH
 Y8ZPVHUENE4OAABIIkIjdpGhhcFnnjKWh1Ugpt4fVXGvT3ybRb9xBV+3q3LV8I6kzFAeyJTtwPkWb
 Slxy7XIMedsiSEGQXMg5PWBclVN/DdBDm2tVKpiM0TAwIdX5y0l92AFsv1TWoW6g4L0A=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nCMIU-0004TV-Td; Tue, 25 Jan 2022 14:55:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN>
X-Now-Playing: David Bowie's _Brilliant Adventure (10): Re:Call 5_: "We All
 Go Through"
Date: Tue, 25 Jan 2022 14:55:46 +0100
In-Reply-To: <7bsignqklt.fsf@HIDDEN> (Glenn Morris's message of
 "Wed, 10 Dec 2014 16:07:58 -0500")
Message-ID: <87lez3x6l9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Glenn Morris <rgm@HIDDEN> writes: > I can't find the
 reference
 for why I think this, so maybe I'm just > wrong, but I always thought that
 multi-line file lists should be written > in ChangeLogs as: > > * file1,
 file2, file3, file4, fi [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Glenn Morris <rgm@HIDDEN> writes:

> I can't find the reference for why I think this, so maybe I'm just
> wrong, but I always thought that multi-line file lists should be written
> in ChangeLogs as:
>
>    * file1, file2, file3, file4, file5, file6, file7, file8, file9:
>    * file10, file11:
>
> But Change Log mode fills such lines as:
>
>     * file1, file2, file3, file4, file5, file6, file7, file8, file9,
>     file10, file11:
>
> Please could it use the former format.

Makes sense to me, so I've now fixed this in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jan 2022 13:56:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 25 08:56:03 2022
Received: from localhost ([127.0.0.1]:47489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCMIk-00060J-Kd
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 08:56:03 -0500
Received: from quimby.gnus.org ([95.216.78.240]:35370)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nCMIj-0005zi-Qp
 for control <at> debbugs.gnu.org; Tue, 25 Jan 2022 08:56:02 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=oS+l0lu3Ri3DVW+M6Vr7EaPT0N+BPrDarB7S/zs9VN8=; b=jLLSnOuHoA7sUJ/WsFGKodHGLY
 IuEZLKgXwPcOGGHyaR+5De/fs+N3cL28q7BIhZnta2btyF97vpt1wP5jE/V3CIXrNNsHbFJdpKN5S
 DHAA7sQd2fn1m/7GGzR10bPSC3+Hz7RNMiAznLgqKFDuFJdvSW8hfRaO1SJ3/D+y0U70=;
Received: from [84.212.220.105] (helo=giant)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nCMIb-0004Tc-S9
 for control <at> debbugs.gnu.org; Tue, 25 Jan 2022 14:55:55 +0100
Date: Tue, 25 Jan 2022 14:55:51 +0100
Message-Id: <87k0enx6l4.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #19341
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 19341 29.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

close 19341 29.1
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 25 Jan 2022 17:57:02 +0000
Resent-Message-ID: <handler.19341.B19341.164313340610805 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Lars Ingebrigtsen <larsi@HIDDEN>
Cc: 19341 <at> debbugs.gnu.org
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.164313340610805
          (code B ref 19341); Tue, 25 Jan 2022 17:57:02 +0000
Received: (at 19341) by debbugs.gnu.org; 25 Jan 2022 17:56:46 +0000
Received: from localhost ([127.0.0.1]:49985 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCQ3h-0002oD-Sk
	for submit <at> debbugs.gnu.org; Tue, 25 Jan 2022 12:56:46 -0500
Received: from eggs.gnu.org ([209.51.188.92]:55378)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rgm@HIDDEN>) id 1nCQ3g-0002o1-31
 for 19341 <at> debbugs.gnu.org; Tue, 25 Jan 2022 12:56:45 -0500
Received: from [2001:470:142:3::e] (port=41162 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rgm@HIDDEN>)
 id 1nCQ3a-0003kU-I5; Tue, 25 Jan 2022 12:56:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=NVWz/LdKqln8eGAscZpg7fv2RA+G7Fd06aZhMeKGnqk=; b=WAftcIDungmJLqp265cd
 aoEpOa3dPSMMyREtEdhlUsb+xzJ1g3MHu75uoTslvVYqL0JMS2TAFetKr8yn+c03zguym8t4r+3oH
 xUl0crfeFAmwJ2eEXjehwX/wQs9mfJzxTVRVyrt1Q9VfV+Jf+Yh5qsn4joGivJ4JyeQNVCpEaRVmC
 aU4u8wv0/MLNqN8RW5ZFD7rX2WNDIGFtCdNNT+tkpwzh7CWPrkIUsz5fZ0ArbPI3KFCAuNJnlqVWD
 RTgYg3DL3a98YMDYjrAf9GhMya/qRSL8XpOjmvfD8oLmfTqqGkE9JPGKd2orRaV6KG7/8anvIFvGo
 xF11ObVtJekSXQ==;
Received: from rgm by fencepost.gnu.org with local (Exim 4.90_1)
 (envelope-from <rgm@HIDDEN>)
 id 1nCQ3W-0002WL-7m; Tue, 25 Jan 2022 12:56:34 -0500
From: Glenn Morris <rgm@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN> <87lez3x6l9.fsf@HIDDEN>
X-Spook: Al Qaida FXR PLA SASR Arnett SP4 infowar Shooting
X-Ran: tZ>j1GQm19\|IUFI>WPm,[v'^u+6<X_sNuRXA;6n?[?KgRF(#[dXK~`m=T'VdIvg8JG8KF
X-Hue: yellow
X-Attribution: GM
Date: Tue, 25 Jan 2022 12:56:34 -0500
In-Reply-To: <87lez3x6l9.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 25 Jan 2022 14:55:46 +0100")
Message-ID: <0ik0en4s31.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen wrote:

> Makes sense to me, so I've now fixed this in Emacs 29.

Thanks, but I don't see where. (I find it very helpful to have the
relevant git hash, or indeed the whole commit, in bug closure messages.)




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#19341: Change Log mode filling of multi-line file lists
Resent-From: Robert Pluim <rpluim@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 26 Jan 2022 11:28:01 +0000
Resent-Message-ID: <handler.19341.B19341.16431964706047 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 19341
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Glenn Morris <rgm@HIDDEN>
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 19341 <at> debbugs.gnu.org
Received: via spool by 19341-submit <at> debbugs.gnu.org id=B19341.16431964706047
          (code B ref 19341); Wed, 26 Jan 2022 11:28:01 +0000
Received: (at 19341) by debbugs.gnu.org; 26 Jan 2022 11:27:50 +0000
Received: from localhost ([127.0.0.1]:51067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nCgSs-0001ZT-3h
	for submit <at> debbugs.gnu.org; Wed, 26 Jan 2022 06:27:50 -0500
Received: from mail-wr1-f42.google.com ([209.85.221.42]:36488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rpluim@HIDDEN>) id 1nCgSn-0001ZD-9S
 for 19341 <at> debbugs.gnu.org; Wed, 26 Jan 2022 06:27:49 -0500
Received: by mail-wr1-f42.google.com with SMTP id u15so25221198wrt.3
 for <19341 <at> debbugs.gnu.org>; Wed, 26 Jan 2022 03:27:45 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :mime-version; bh=JXVHd8EZcpUoK31xpuJlSy3VLklGQ0oGgoQmwFNo1t8=;
 b=iN36nZ6rLwV8LJrhjZ/5iT1CcOjAgY06eEMnM5uxSMrncvvzEX5KyjT/F3FKMQTIN4
 2IEAmr7LNXOdMQSgaqHySgs6sbio4S689/7+xZmP0nX0GX58JdAHal6mMlox3lI9nHND
 VDpV0qVdjRtNwlERa+Sz4lCeqtb4HxP1IXder8L7F3PUTo+W7AVLP3QBdCyNbOmkx/Yu
 xCNkDUFsqFLxxPW/1A8kQv2yjVVcLk6RasM3mvw1KvNQgO+2JzZrLl1DkGpz+ALHhTwy
 CoohcrfglYk3O5AwKI/r1TzbI59v1Qf5ll8EGOlRg/EbJel+pDbq/AJWktlynLTElyup
 bo7g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:mime-version;
 bh=JXVHd8EZcpUoK31xpuJlSy3VLklGQ0oGgoQmwFNo1t8=;
 b=whkhp/xVq6GL00OhVj3u0/trLpBj7ioHtQQEnWXokc5D7RrMwNRSiTsjv+R5uFBXGr
 t3Aado4OKK1zEg+YyaCcieZp41sZ9Lg+vl51WzYr+TLmgL2mq9tR1OwHQIvsea08K09o
 eIBa9WIWrIWCODVzk/OcTtSgolGBRRDQjSduwtyvbjEkSa27j/d3oDkfv5HUIrOh504T
 h/v2UTjrDmNbcj8ArbnRUj3PPQsGOf5Y3JSObp56ykpz0jXg5bGHSriw7EC1/AatZ14c
 nX+A9lmT1cxEN/5fSqtZPWGOY22r0QKVDfElq6smpY7QRo1PRBgkbmTdmtV2rVRMXGEP
 J+sg==
X-Gm-Message-State: AOAM5308M4P5Q818fTWRGFKKMOcRDlk5AnYiYYiCCfpUQU0R1U9Vrb/A
 GW0wlwduUfm99aDTkBmm/SpOllbTL8A=
X-Google-Smtp-Source: ABdhPJzPwf2Fx7c+LqtRzwkL5f+BXcZ6x9DMo1NPq35wsWyrQ5D6ad/j1C50RYseXpFyeYi2ZBqm5w==
X-Received: by 2002:adf:df10:: with SMTP id y16mr16618117wrl.277.1643196459188; 
 Wed, 26 Jan 2022 03:27:39 -0800 (PST)
Received: from rltb ([2a01:e0a:3f3:fb50:b96b:9e5:e272:2b49])
 by smtp.gmail.com with ESMTPSA id 8sm3107070wmg.0.2022.01.26.03.27.38
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 26 Jan 2022 03:27:38 -0800 (PST)
From: Robert Pluim <rpluim@HIDDEN>
References: <7bsignqklt.fsf@HIDDEN> <87lez3x6l9.fsf@HIDDEN>
 <0ik0en4s31.fsf@HIDDEN>
Date: Wed, 26 Jan 2022 12:27:38 +0100
In-Reply-To: <0ik0en4s31.fsf@HIDDEN> (Glenn Morris's message of
 "Tue, 25 Jan 2022 12:56:34 -0500")
Message-ID: <87ee4uhh3p.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

>>>>> On Tue, 25 Jan 2022 12:56:34 -0500, Glenn Morris <rgm@HIDDEN> said:

    GM> Lars Ingebrigtsen wrote:
    >> Makes sense to me, so I've now fixed this in Emacs 29.

    GM> Thanks, but I don't see where. (I find it very helpful to have the
    GM> relevant git hash, or indeed the whole commit, in bug closure messages.)

fb16a6c124

found via 'git log --grep 19341'

Robert
-- 





Last modified: Wed, 26 Jan 2022 11:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.